Bug 110219 - X crashes and mouse stops working.
X crashes and mouse stops working.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
athlon Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 02:39 EST by Damien
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damien 2003-11-17 02:39:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Xfree will crash, the screen flashes blank for a couple of seconds,
and then will not come back on until I press a key.  When this happens
the mouse stops working.  Only way to fix that I have found is to reboot.

This is happening intermitently, sometimes it will happen whilst in
GDM and not having touched the computer yet.  Othertimes it will
happen whilst doing any type of work.  It has happened also whilst
logged in and not at the computer.

If you can advise me how to, I can try to get some sort of feedback in
the form of debug output or something.

I was thinking this could also be a Kernel/driver issue but not sure.
 I'm using a Logitech USB mouse.
Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Using radeon 7500.

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 7000"
EndSection

Note: X does not completely crash as it us still usable after the
blank screen, but mouse fails to work.




Version-Release number of selected component (if applicable):
XFree86-4.3.0-42

How reproducible:
Sometimes

Steps to Reproduce:
1.Boot computer
2.Wait
3.
    

Actual Results:  Screen blanks, and mouse fails to respond.

Additional info:

I can not find any way to reproduce this on demand :(
Comment 1 Damien 2003-11-20 05:44:02 EST
I have since found a little bit of output on some occasions when this
occurs.  I get the following ouput sometimes:

--Start--
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Error: Can't open display :0.0
xscreensaver: 07:21:24: 0: child pid 7273 (anemone) exited abnormally
(code 1)
--End--

Of course, start and end arent there, but the rest sure is.  Also, I
can recreate this quite often if I leave the computer at the login GDM
screen and wait for a while after the screen switches blank.
Comment 2 Damien 2003-12-08 00:12:32 EST
I've recently changed from my USB mouse to a PS2 mouse as I was
recieving some USB related error messages when this bug occurs.  Now
that I am on a ps2 mouse the screen blanking still happens, however
the mouse continues to work.

Furthermore, I think this bug is somehow related to XScreensaver as
sometimes when the described behaviour occurs the screen saver does
start for a brief time.

I'm changing the priority to high as the system is basially unusable
with the bug present.  I recently converted my father to Fedora and
this would not have been possible if his system had the same issues.
Comment 3 Andrew Ragone 2004-05-30 00:08:05 EDT
I have an error SIMILAR to this where the screen blacks out [seems to
turn off all output to the monitor] after a certain period of time. I
need to either restart the computer to regain functionality or
SOMETIMES i can Ctrl-Alt-F7 or F8 and it will switch back into the X
session I had been running. Otherwise Ctrl-Alt-F1 doesnt even bring up
the shell, Ctrl-0Alt-Backspace doesnt restart X, and the keyboard
seems to not function [i know this because no keyboard lights go on
for Num/Caps lock]. It occurs after my installation of FC2 x86_64
today and I origianlly thought it may be the wrong monitor that I
specificed, but I returned to generic and it still occurs. I am
running a PCI ATI All-In-Wonder Radeon [i believe 7000 series] on a
FC2 AMD Athlon64 system with x86_64.
Comment 4 Mike A. Harris 2004-10-12 02:29:25 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.